Rensei docs

List API keys for the active org (metadata only).

List API keys for the active org (metadata only). - Rensei REST API operation reference.

GET
/api/org/api-keys

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Response Body

API key metadata list.

application/json
  1. response
keys*array<>
Example Request
curl -X GET 'https://app.rensei.ai/api/org/api-keys'
Example Response
{  "keys": [    {      "id": "string",      "name": "string",      "keyPrefix": "string",      "keyType": "string",      "scopes": [        "string"      ],      "projectIds": [        "string"      ],      "createdBy": "string",      "createdAt": "string",      "lastUsedAt": "string",      "expiresAt": "string",      "machineId": "string",      "hostLiveness": "heartbeating"    }  ]}